# Interface DefinitionEditorJson

The definitionEditor stores interactive filters at the same level as layerDefinition.

See https://developers.arcgis.com/web-map-specification/objects/definitionEditor/ https://developers.arcgis.com/web-scene-specification/objects/definitionEditor/.

interface DefinitionEditorJson {
inputs?: InputJson[];
parameterizedExpression?: string;
}

#####
Index

### Properties

inputs?
parameterizedExpression?

##
Properties

### `Optional` inputs

inputs?: InputJson[]

An array of input objects.

### `Optional` parameterizedExpression

parameterizedExpression?: string

A string value representing the where clause for the interactive filter.